@echo off
REM %%VER NetWare 286 Drivers Installation Utility Program v2.0c

REM ******************************************************************

REM    Updates EtherLink II network adapter drivers in a NW 286 system
REM    Format: From the NETWARE subdirectory
REM              > 286\update [target_drive:] 

REM ******************************************************************

..\install\echoxy 16 13 Updating NetWare 286 driver files on %1
set update=n
                                          
if not exist %1Shgen-1\*.* goto ST1

copy %1Shgen-1\S3C503.lan %1Shgen-1\*.old > nul
copy  286\S3C503.lan %1Shgen-1 > nul
..\install\echoxy 17 13 Updated the EtherLink II .LAN file in directory %1Shgen-1   
set update=y

:ST1
if not exist %1Brgen-1\*.*  goto ST2

copy %1Brgen-1\3C503A?.lan %1Brgen-1\*.old > nul
copy %1Brgen-1\A3C503A?.lan %1Brgen-1\*.old > nul
copy  286\A3C503A?.lan %1Brgen-1 > nul
..\install\echoxy 18 13 Updated the EtherLink II .LAN file in directory %1Brgen-1  
set update=y

:ST2
if not exist %1Auxgen\*.*  goto ST3

copy %1Auxgen\3C503A?.lan %1Auxgen\*.old > nul
copy %1Auxgen\A3C503A?.lan %1Auxgen\*.old > nul
copy  286\A3C503A?.lan %1Auxgen > nul
..\install\echoxy 19 13 Updated the EtherLink II .Lan file in directory %1Auxgen  
set update=y

:ST3
if not exist %1WSgen\*.*  goto ST4

copy %1WSgen\S3C503.lan %1WSgen\*.old > nul
copy  286\S3C503.lan %1WSgen > nul
..\install\echoxy 17 13 Updated the EtherLink II .LAN file in directory %1Wsgen      
set update=y

:ST4
if not exist %1Routegen\*.*  goto ST5

copy %1Routegen\3C503A?.lan %1Routegen\*.old > nul
copy %1Routegen\A3C503A?.lan %1Routegen\*.old > nul
copy  286\A3C503A?.lan %1Routegen > nul
..\install\echoxy 18 13 Updated the EtherLink II .LAN file in directory %1Routegen    
set update=y

:ST5
if not exist %1System-1\*.*  goto ST6

copy %1System-1\3C503A?.lan %1System-1\*.old > nul
copy %1System-1\A3C503A?.lan %1System-1\*.old > nul
copy  286\A3C503A?.lan %1System-1 > nul
..\install\echoxy 19 13 Updated the EtherLink II .LAN file in directory %1System-1      
set update=y


:ST6
if %update% == n goto errmsg
if not exist %1lan_drv_.503\*.*  goto make503

:contin
copy %1lan_drv_.503\*.obj  %1lan_drv_.503\*.old > nul
copy  286\*.obj  %1lan_drv_.503 > nul
..\install\echoxy 20 13 Updated the EtherLink II .OBJ's in directory %1LAN_DRV_.523
set update=y
..\install\echoxy 22 13 Strike any key to continue.
..\install\reply
if errorlevel 28 goto done
if errorlevel 27 goto end

:DONE
..\install\echoxy 16 13                                                     
..\install\echoxy 17 13 The NetWare 286 EtherLink II drivers on %1                 
..\install\echoxy 18 13 updated.  The older drivers have been copied to files       
..\install\echoxy 19 13 with the extension ".old."                               
..\install\echoxy 20 13                                                           
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.
..\install\reply
:end
netware

:errmsg

..\install\echoxy 17 13         *** Error:  No Files Were Updated! ***            
..\install\echoxy 18 13 Make sure that you have entered the correct drive          
..\install\echoxy 19 13 letter and that you have access rights to the files. 
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.
..\install\reply
netware

:make503
md %1lan_drv_.503 > nul
goto contin

